<?php
	$rdata = array_map('to_utf8', array_map('nl2br', array_map('html_attr_tags_ok', $rdata)));
	$jdata = array_map('to_utf8', array_map('nl2br', array_map('html_attr_tags_ok', $jdata)));
?>
<script>
	$j(function(){
		var tn = 'credit';

		/* data for selected record, or defaults if none is selected */
		var data = {
			nom_prenom: <?php echo json_encode(array('id' => $rdata['nom_prenom'], 'value' => $rdata['nom_prenom'], 'text' => $jdata['nom_prenom'])); ?>
		};

		/* initialize or continue using AppGini.cache for the current table */
		AppGini.cache = AppGini.cache || {};
		AppGini.cache[tn] = AppGini.cache[tn] || AppGini.ajaxCache();
		var cache = AppGini.cache[tn];

		/* saved value for nom_prenom */
		cache.addCheck(function(u, d){
			if(u != 'ajax_combo.php') return false;
			if(d.t == tn && d.f == 'nom_prenom' && d.id == data.nom_prenom.id)
				return { results: [ data.nom_prenom ], more: false, elapsed: 0.01 };
			return false;
		});

		cache.start();
	});
</script>

